Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.SecurityTokenOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.SecurityToken`, `ClientWireProtocol.SecurityToken.Builder`

Enclosing class:
  `ClientWireProtocol`

public static interface ClientWireProtocol.SecurityTokenOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getData()`
The token payload
`ByteString`
`getDataBytes()`
The token payload
`String`
`getIssuerFingerprint()`
`string issuerFingerprint = 3;`
`ByteString`
`getIssuerFingerprintBytes()`
`string issuerFingerprint = 3;`
`String`
`getSignature()`
`string signature = 2;`
`ByteString`
`getSignatureBytes()`
`string signature = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getData

String getData()

     The token payload

`string data = 1;`

Returns:
  The data.

### getDataBytes

ByteString getDataBytes()

     The token payload

`string data = 1;`

Returns:
  The bytes for data.

### getSignature

String getSignature()
`string signature = 2;`

Returns:
  The signature.

### getSignatureBytes

ByteString getSignatureBytes()
`string signature = 2;`

Returns:
  The bytes for signature.

### getIssuerFingerprint

String getIssuerFingerprint()
`string issuerFingerprint = 3;`

Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 3;`

Returns:
  The bytes for issuerFingerprint.